> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Suggestions



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/contacts/company-links/suggestions
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/contacts/company-links/suggestions:
    get:
      tags:
        - Company Links
      summary: Suggestions
      operationId: CompanyLinksController_suggestions_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: sourceCompanyId
          required: false
          in: query
          schema:
            type: string
            pattern: ^\d+$
        - name: manufacturerCompanyId
          required: false
          in: query
          schema:
            type: string
            pattern: ^\d+$
        - name: categoryId
          required: false
          in: query
          schema:
            type: string
            pattern: ^\d+$
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CompanySuggestion'
components:
  schemas:
    CompanySuggestion:
      type: object
      properties:
        identity:
          $ref: '#/components/schemas/CompanyIdentityResponseDto'
        id:
          type: string
        name:
          type: string
        available:
          type: boolean
        reason:
          enum:
            - category
            - tag
            - self
            - linked
          type: string
        domain:
          type: string
          nullable: true
        primaryPerson:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/CompanySuggestionPersonDto'
      required:
        - id
        - name
        - available
        - reason
        - domain
        - primaryPerson
    CompanyIdentityResponseDto:
      type: object
      properties:
        globalCompany:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/GlobalCompanyResponseDto'
        version:
          type: number
          nullable: true
        suggestion:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/CompanyIdentitySuggestionDto'
      required:
        - globalCompany
        - version
    CompanySuggestionPersonDto:
      type: object
      properties:
        id:
          type: string
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        email:
          type: string
      required:
        - id
        - firstName
        - lastName
        - email
    GlobalCompanyResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        primaryType:
          enum:
            - brand
            - rep
            - dealer
            - distributor
          type: string
        legalName:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        aliases:
          type: array
          items:
            type: string
        domains:
          type: array
          items:
            type: string
        retiredAt:
          type: string
          nullable: true
      required:
        - id
        - name
        - primaryType
        - legalName
        - country
        - aliases
        - domains
        - retiredAt
    CompanyIdentitySuggestionDto:
      type: object
      properties:
        candidates:
          type: array
          items:
            $ref: '#/components/schemas/CompanyIdentityCandidateResponseDto'
        expectedVersion:
          type: number
          nullable: true
        evidenceFingerprint:
          type: string
      required:
        - candidates
        - expectedVersion
        - evidenceFingerprint
    CompanyIdentityCandidateResponseDto:
      type: object
      properties:
        company:
          $ref: '#/components/schemas/GlobalCompanyResponseDto'
        nameMatch:
          type: boolean
        matchingHosts:
          type: array
          items:
            type: string
        typeMatch:
          type: boolean
      required:
        - company
        - nameMatch
        - matchingHosts
        - typeMatch

````